package com.jojubanking.boot.module.system.convert.dztype;

import java.util.*;

import com.jojubanking.boot.framework.common.pojo.PageResult;

import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import com.jojubanking.boot.module.system.controller.admin.dztype.vo.*;
import com.jojubanking.boot.module.system.dal.dataobject.dztype.DzTypeDO;

/**
 * 导诊类型 Convert
 *
 * @author admin
 */
@Mapper
public interface DzTypeConvert {

    DzTypeConvert INSTANCE = Mappers.getMapper(DzTypeConvert.class);

    DzTypeDO convert(DzTypeCreateReqVO bean);

    DzTypeDO convert(DzTypeUpdateReqVO bean);

    DzTypeRespVO convert(DzTypeDO bean);

    List<DzTypeRespVO> convertList(List<DzTypeDO> list);

    PageResult<DzTypeRespVO> convertPage(PageResult<DzTypeDO> page);

    List<DzTypeExcelVO> convertList02(List<DzTypeDO> list);

}
